Bug 615428 - Review Request: olfs - OPeNDAP Lightweight Frontend Servlet - client interface for Hyrax
Review Request: olfs - OPeNDAP Lightweight Frontend Servlet - client interfac...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 13:41 EDT by Orion Poplawski
Modified: 2013-07-24 02:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 22:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2010-07-16 13:41:01 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/olfs.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/olfs-1.6.2-1.fc13.src.rpm
Description:

The OPeNDAP Lightweight Frontend Servlet (OLFS) provides the public-
accessible client interface for Hyrax.  The OLFS communicates with the Back
End Server (BES) to provide data and catalog services to clients.  The OLFS
implements the DAP2 protocol and supports some of the new DAP4 features.  We
hope that other groups will develop new front end modules that will implement
other protocols.

koji build is here: http://koji.fedoraproject.org/koji/taskinfo?taskID=2323168

rpmlint reports a zero-legth file error and several dangling-symlink warnings.  The symlink targets are provides by the packages required by olfs.

This package needs to allow tomcat to follow symbolic links.  See bug 615427.
Comment 1 Orion Poplawski 2010-07-16 15:38:40 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/olfs.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/olfs-1.6.2-2.fc13.src.rpm

* Fri Jul 16 2010 Orion Poplawski <orion@cora.nwra.com> 1.6.2-2
- Move configuration to %%{_sysconfdir}       
- Add content and log directories        
- Allow symbolic links in webapp directory with context.xml file

This removes the need for the tomcat6 package to do anything.
Comment 2 Jason Tibbitts 2010-12-01 21:25:27 EST
This failed to build for me:

build-jar-repository -s -p lib commons-codec commons-httpclient commons-logging jakarta-commons-cli jdom junit4 log4j logback/core logback/classic saxon servlet slf4j/api tomcat6/catalina.jar xalan-j2 xalan-j2-serializer
/usr/bin/build-jar-repository: error: Could not find jakarta-commons-cli Java extension for this JVM
/usr/bin/build-jar-repository: error: Some specified jars were not found for this jvm
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.ejFeqN (%prep)

Unfortuantely I don't know enough about Java to say what's wrong.

Also, I have to say that even reading the %description doesn't give me any clue at all as to what this package is supposed to do.

A scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=2638118
Comment 3 Orion Poplawski 2010-12-01 23:30:49 EST
Yeah, it's a bad description.  It is a web application that runs under tomcat that can connect to a OpenDAP server to serve out data files.

http://www.cora.nwra.com/~orion/fedora/olfs.spec
http://www.cora.nwra.com/~orion/fedora/olfs-1.7.1-1.fc14.src.rpm

* Wed Dec 1 2010 Orion Poplawski <orion@cora.nwra.com> 1.7.1-1
- Update to 1.7.1
- Rename jakarta-commons-cli to apache-commons-cli for f15+

http://koji.fedoraproject.org/koji/taskinfo?taskID=2638183
Comment 4 Jon VanAlten 2011-09-27 18:25:13 EDT
This fails to build for me on F15:

error: Failed build dependencies:
	logback is needed by olfs-1.7.1-1.fc15.noarch

$ yum search logback
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
updates/pkgtags                                          |  50 kB     00:00     
Warning: No matches found for: logback
Comment 5 Orion Poplawski 2011-09-27 19:03:19 EDT
Lovely:

[orion@orca logback (master)]$ cat dead.package 
This package was retired due to no active owner on 2011-02-23

I guess we'll need to resurrect it.
Comment 6 Orion Poplawski 2011-09-28 18:50:50 EDT
Well, logback requires maven-scala-plugin and perhaps others.  I don't have time to pursue this at the moment though.
Comment 7 Jason Tibbitts 2012-04-24 15:06:46 EDT
I'm marking this notready; please clear the whiteboard if the dependencies ever make it back into the distribution.
Comment 8 Orion Poplawski 2013-04-23 13:34:54 EDT
http://www.cora.nwra.com/~orion/fedora/olfs.spec
http://www.cora.nwra.com/~orion/fedora/olfs-1.9.5-1.fc18.src.rpm

* Tue Apr 23 2013 Orion Poplawski <orion@cora.nwra.com> 1.9.5-1
- Update to 1.9.5
- Use tomcat instead of tomcat6

logback is back in Fedora.
Comment 9 gil cattaneo 2013-04-23 14:17:40 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in olfs-
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated". 2 files have unknown license. Detailed output of licensecheck
     in 615428-olfs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 81920 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: olfs-1.9.5-1.fc20.noarch.rpm
          olfs-javadoc-1.9.5-1.fc20.noarch.rpm
olfs.noarch: E: zero-length /etc/olfs/TomcatSecurity.xml
olfs-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint olfs olfs-javadoc
olfs.noarch: E: zero-length /etc/olfs/TomcatSecurity.xml
olfs-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
olfs (rpmlib, GLIBC filtered):
    apache-commons-cli
    apache-commons-lang
    apache-commons-logging
    commons-codec
    commons-httpclient
    config(olfs)
    java
    jdom
    jpackage-utils
    junit4
    log4j
    logback
    saxon
    slf4j
    tomcat
    xalan-j2

olfs-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils
    olfs



Provides
--------
olfs:
    config(olfs)
    olfs

olfs-javadoc:
    olfs-javadoc



MD5-sum check
-------------
http://www.opendap.org/pub/olfs/olfs-1.9.5-src.tgz :
  CHECKSUM(SHA256) this package     : ba03207165aac107fd4d7b7eabbfe57a809fcd6d054884efeb1d0f9492534bd1
  CHECKSUM(SHA256) upstream package : ba03207165aac107fd4d7b7eabbfe57a809fcd6d054884efeb1d0f9492534bd1


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29


please use find -name '*.class/jar' -delete
remove %clean section, BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
fix incorrect FSF address src/resources/nciso/xsl/xml2rdf.xsl
thanks
Comment 10 Orion Poplawski 2013-04-23 14:28:36 EDT
http://www.cora.nwra.com/~orion/fedora/olfs.spec
http://www.cora.nwra.com/~orion/fedora/olfs-1.9.5-1.fc18.src.rpm

* Tue Apr 23 2013 Orion Poplawski <orion@cora.nwra.com> 1.9.5-2
- Cleanup
- Fix FSF address
Comment 11 Orion Poplawski 2013-04-23 14:29:46 EDT
New Package SCM Request
=======================
Package Name: olfs
Short Description: OPeNDAP Lightweight Frontend Servlet - client interface for Hyrax
Owners: orion
Branches: f18 f19 el6
InitialCC:
Comment 12 Jon Ciesla 2013-04-23 14:38:34 EDT
Git done (by process-git-requests).
Comment 13 Christopher Meng 2013-07-13 22:05:54 EDT
I think it's imported.

Note You need to log in before you can comment on or make changes to this bug.